Content Library Item Downloadsession File list
Lists the information of all the files in the library item associated with the download session.
Returns an authorization error if you do not have all of the privileges described as follows:
- Operation execution requires
System.Anonymous.
Identifier of the download session.
The parameter must be an identifier for the resource type: com.vmware.content.library.item.DownloadSession.
The list of Content Library Item Downloadsession File Info instances.
[
{
"name": "string",
"size": 0,
"bytes_transferred": 0,
"status": "string",
"download_endpoint": {
"uri": "string",
"ssl_certificate_thumbprint": "string",
"ssl_certificate": "string"
},
"checksum_info": {
"algorithm": "string",
"checksum": "string"
},
"error_message": {
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
}
]
The Content Library Item Downloadsession File Info schema defines the downloaded file.
if the download session associated with downloadSessionId doesn't exist.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -H 'Authorization: <value>' https://{api_host}/api/content/library/item/download-session/{downloadSessionId}/file